Bug 179734 - [PATCH] x11/florence: update to 0.6.0, take maintainership
[PATCH] x11/florence: update to 0.6.0, take maintainership
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 23:00 UTC by nemysis
Modified: 2013-06-20 21:53 UTC (History)
1 user (show)

See Also:


Attachments
florence-0.6.0.patch (7.96 KB, patch)
2013-06-19 23:00 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-06-19 23:00:00 UTC
- Update to 0.6.0
- Take maintainership
- Shorten header
- Trim comment
- Add licenses (GPLv2 GFDL)
- Trim new Uses
- Trim dependencies
- Add docs, man
- Add NLS Option and fix NLS
- Trim Desktop entry file
- Remove not needed patches
- Trim pkg-descr
- Trim pkg-plist
- Cleanup Makefile

Removed file(s):
- files/patch-src_trace.c

Generated and tested manually, tested with port test and with RedPorts, sent with FreeBSD Port Tools 0.99_7 (mode: update, diff: ports)

How-To-Repeat: 
Build log

https://redports.org/buildarchive/20130619210000-26329/
Comment 1 William Grzybowski freebsd_committer 2013-06-20 02:52:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 dfilter freebsd_committer 2013-06-20 21:29:23 UTC
Author: wg
Date: Thu Jun 20 20:29:15 2013
New Revision: 321422
URL: http://svnweb.freebsd.org/changeset/ports/321422

Log:
  x11/florence: update to 0.6.0
  
  - Update to 0.6.0
  - Add LICENSE (GPLv2 GFDL)
  - New world order USES: pathfix, desktop-file-utils
  - Add DOCS, man and NLS
  - Better pkg-descr
  - Pass maintainership to submitter
  
  Changes:
  http://sourceforge.net/p/florence/news/2012/10/florence-060-released/
  
  PR:		ports/179734
  Submitted by:	nemysis <nemysis@gmx.ch>

Deleted:
  head/x11/florence/files/
Modified:
  head/x11/florence/Makefile
  head/x11/florence/distinfo
  head/x11/florence/pkg-descr
  head/x11/florence/pkg-plist

Modified: head/x11/florence/Makefile
==============================================================================
--- head/x11/florence/Makefile	Thu Jun 20 20:25:05 2013	(r321421)
+++ head/x11/florence/Makefile	Thu Jun 20 20:29:15 2013	(r321422)
@@ -1,34 +1,60 @@
-# New ports collection makefile for:   Florence
-# Date created:                2011/07/26
-# Whom:                        Kris Moore <kmoore@freebsd.org>
-#
+# Created by: Kris Moore <kmoore@freebsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	florence
-PORTVERSION=	0.5.0
-PORTREVISION=	2
+PORTVERSION=	0.6.0
 CATEGORIES=	x11
 MASTER_SITES=	SF/florence/florence/${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Florence OnScreen Keyboard
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	Extensible scalable virtual keyboard
 
-LIB_DEPENDS=	notify.4:${PORTSDIR}/devel/libnotify \
-		cspi.10:${PORTSDIR}/accessibility/at-spi
+LICENSE=	GPLv2 GFDL
+LICENSE_COMB=	dual
 
-USE_XORG=	xtst
-USE_GNOME=	gtk20 intlhack gnomedocutils gconf2 librsvg2 gnomepanel
+LIB_DEPENDS=	notify:${PORTSDIR}/devel/libnotify
+BUILD_DEPENDS=	${LOCALBASE}/libexec/at-spi2-registryd:${PORTSDIR}/accessibility/at-spi2-core
 
 USE_BZIP2=	yes
-USES=		gettext iconv
-USE_GMAKE=	yes
+USES=		desktop-file-utils gettext iconv pathfix
+USE_XORG=	xtst xext
+USE_GNOME=	gtk30 cairo intlhack gnomedocutils librsvg2
+USE_GSTREAMER=	yes
 GNU_CONFIGURE=	yes
+CONFIGURE_ARGS+=--prefix=${LOCALBASE}
+USE_GMAKE=	yes
 USE_LDCONFIG=	yes
 INSTALLS_OMF=	yes
-GCONF_SCHEMAS=	florence.schemas
+GLIB_SCHEMAS=	org.florence.gschema.xml
+
+MAN1=		${PORTNAME}.1 ${PORTNAME}_applet.1
+
+PORTDOCS=	AUTHORS ChangeLog NEWS README
+
+OPTIONS_DEFINE=	NLS
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
+USES+=		gettext
+PLIST_SUB+=	NLS=""
+.else
+PLIST_SUB+=	NLS="@comment "
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|^Categories=.*|Categories=Application;Accessibility;System;|' \
+		${WRKSRC}/data/florence.desktop.in.in
+
+.if ! ${PORT_OPTIONS:MNLS}
+	@${REINPLACE_CMD} -e 's|^ALL_LINGUAS.*|ALL_LINGUAS =|' \
+		${WRKSRC}/po/Makefile.in.in
+.endif
 
-CPPFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
 
 .include <bsd.port.mk>

Modified: head/x11/florence/distinfo
==============================================================================
--- head/x11/florence/distinfo	Thu Jun 20 20:25:05 2013	(r321421)
+++ head/x11/florence/distinfo	Thu Jun 20 20:29:15 2013	(r321422)
@@ -1,2 +1,2 @@
-SHA256 (florence-0.5.0.tar.bz2) = 485416250e83104f44c917d63508fcf2ef2c45023777897fa637c7470fa6645c
-SIZE (florence-0.5.0.tar.bz2) = 479264
+SHA256 (florence-0.6.0.tar.bz2) = d2d74a923591e1a6db412058877dbf9ef839712af56e41fd41cb8eefbef1f60e
+SIZE (florence-0.6.0.tar.bz2) = 843826

Modified: head/x11/florence/pkg-descr
==============================================================================
--- head/x11/florence/pkg-descr	Thu Jun 20 20:25:05 2013	(r321421)
+++ head/x11/florence/pkg-descr	Thu Jun 20 20:29:15 2013	(r321422)
@@ -1,3 +1,10 @@
-Florence is an extensible scalable virtual keyboard for GNOME.
+Florence is an extensible scalable virtual keyboard for GNOME. You need it if
+you can't use a real keyboard either because of a handicap, disease,
+broken keyboard or tablet PC but you can use a pointing device. If you can't
+use a pointing device, there is gok: http://www.gok.ca/
+Florence stays out of your way when you don't need it.
+It appears on the screen only when you need it.
+There is an auto-click functionality To help people having difficulties to use
+the click button.
 
 WWW: http://florence.sourceforge.net

Modified: head/x11/florence/pkg-plist
==============================================================================
--- head/x11/florence/pkg-plist	Thu Jun 20 20:25:05 2013	(r321421)
+++ head/x11/florence/pkg-plist	Thu Jun 20 20:29:15 2013	(r321422)
@@ -1,6 +1,4 @@
 bin/florence
-bin/florence_applet
-lib/bonobo/servers/florence.server
 share/applications/florence.desktop
 %%DATADIR%%/florence.conf
 %%DATADIR%%/florence.css
@@ -57,6 +55,13 @@ share/applications/florence.desktop
 %%DATADIR%%/styles/bright/florence.style
 %%DATADIR%%/styles/default/florence.defs
 %%DATADIR%%/styles/default/florence.style
+%%DATADIR%%/styles/default/sounds/modifier_press.ogg
+%%DATADIR%%/styles/default/sounds/modifier_release.ogg
+%%DATADIR%%/styles/default/sounds/press.ogg
+%%DATADIR%%/styles/default/sounds/release.ogg
+%%DATADIR%%/styles/default/sounds/return_press.ogg
+%%DATADIR%%/styles/default/sounds/return_release.ogg
+%%DATADIR%%/styles/default/sounds/sounds.xml
 %%DATADIR%%/styles/default/symbols.xml
 %%DATADIR%%/styles/hard/default.svg
 %%DATADIR%%/styles/hard/florence.defs
@@ -111,36 +116,67 @@ share/applications/florence.desktop
 %%DATADIR%%/svg11/svg-xlink-attrib.rnc
 %%DATADIR%%/svg11/svg11.rnc
 share/gnome/help/florence/C/figures/behaviour.png
+share/gnome/help/florence/C/figures/bigger.png
+share/gnome/help/florence/C/figures/close.png
+share/gnome/help/florence/C/figures/configuration.png
 share/gnome/help/florence/C/figures/florence.png
 share/gnome/help/florence/C/figures/layout.png
+share/gnome/help/florence/C/figures/minimize.png
+share/gnome/help/florence/C/figures/move.png
+share/gnome/help/florence/C/figures/smaller.png
 share/gnome/help/florence/C/figures/style.png
+share/gnome/help/florence/C/figures/switch.png
 share/gnome/help/florence/C/figures/window.png
 share/gnome/help/florence/C/florence.xml
 share/gnome/help/florence/C/gfdl.dbk
 share/gnome/help/florence/fr/figures/behaviour.png
+share/gnome/help/florence/fr/figures/bigger.png
+share/gnome/help/florence/fr/figures/close.png
+share/gnome/help/florence/fr/figures/configuration.png
 share/gnome/help/florence/fr/figures/florence.png
 share/gnome/help/florence/fr/figures/layout.png
+share/gnome/help/florence/fr/figures/minimize.png
+share/gnome/help/florence/fr/figures/move.png
+share/gnome/help/florence/fr/figures/smaller.png
 share/gnome/help/florence/fr/figures/style.png
+share/gnome/help/florence/fr/figures/switch.png
 share/gnome/help/florence/fr/figures/window.png
 share/gnome/help/florence/fr/florence.xml
-share/locale/fr/LC_MESSAGES/florence.mo
+share/gnome/help/florence/ru/figures/behaviour.png
+share/gnome/help/florence/ru/figures/bigger.png
+share/gnome/help/florence/ru/figures/close.png
+share/gnome/help/florence/ru/figures/configuration.png
+share/gnome/help/florence/ru/figures/florence.png
+share/gnome/help/florence/ru/figures/layout.png
+share/gnome/help/florence/ru/figures/minimize.png
+share/gnome/help/florence/ru/figures/move.png
+share/gnome/help/florence/ru/figures/smaller.png
+share/gnome/help/florence/ru/figures/style.png
+share/gnome/help/florence/ru/figures/switch.png
+share/gnome/help/florence/ru/figures/window.png
+share/gnome/help/florence/ru/florence.xml
+%%NLS%%share/locale/fr/LC_MESSAGES/florence.mo
+%%NLS%%share/locale/it/LC_MESSAGES/florence.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/florence.mo
 share/omf/florence/florence-C.omf
 share/omf/florence/florence-fr.omf
+share/omf/florence/florence-ru.omf
 share/pixmaps/florence.svg
-@dirrm lib/bonobo/servers
-@dirrm lib/bonobo
+@dirrm share/omf/florence
+@dirrm share/gnome/help/florence/ru/figures
+@dirrm share/gnome/help/florence/ru
 @dirrm share/gnome/help/florence/fr/figures
 @dirrm share/gnome/help/florence/fr
 @dirrm share/gnome/help/florence/C/figures
 @dirrm share/gnome/help/florence/C
 @dirrm share/gnome/help/florence
-@dirrm share/omf/florence
-@dirrm share/omf
 @dirrm %%DATADIR%%/svg11
 @dirrm %%DATADIR%%/styles/hard
+@dirrm %%DATADIR%%/styles/default/sounds
 @dirrm %%DATADIR%%/styles/default
 @dirrm %%DATADIR%%/styles/bright
 @dirrm %%DATADIR%%/styles
 @dirrm %%DATADIR%%/relaxng
 @dirrm %%DATADIR%%/layouts
 @dirrm %%DATADIR%%
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-06-20 21:53:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!